Bug 1428353 (CVE-2017-2647) - CVE-2017-2647 kernel: Null pointer dereference in search_keyring
Summary: CVE-2017-2647 kernel: Null pointer dereference in search_keyring
Status: NEW
Alias: CVE-2017-2647
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20170321,repo...
Keywords: Security
Depends On: 1433220 1427994 1433216 1433217 1433218 1433219 1433221 1433222
Blocks: 1428357
TreeView+ depends on / blocked
 
Reported: 2017-03-02 12:08 UTC by Adam Mariš
Modified: 2019-02-28 22:31 UTC (History)
41 users (show)

(edit)
A flaw was found that can be triggered in keyring_search_iterator in keyring.c if type->match is NULL. A local user could use this flaw to crash the system or, potentially, escalate their privileges.
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)
Proposed patch (1.22 KB, patch)
2017-03-02 12:10 UTC, Adam Mariš
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1842 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2017-08-01 18:22:09 UTC
Red Hat Product Errata RHSA-2017:2077 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2017-08-01 18:13:37 UTC
Red Hat Product Errata RHSA-2017:2437 normal SHIPPED_LIVE Important: kernel security and bug fix update 2017-08-08 20:14:23 UTC
Red Hat Product Errata RHSA-2017:2444 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2017-08-08 22:50:57 UTC

Description Adam Mariš 2017-03-02 12:08:58 UTC
A null pointer dereference vulnerability that can be triggered in keyring_search_iterator in keyring.c if type->match is NULL by unprivileged local user was found.  It is possible that an attacker could crash the system or escalate privileges using this vulnerability.

Fixed in upstream:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=c06cfb08b88d

Comment 1 Adam Mariš 2017-03-02 12:09:10 UTC
Acknowledgments:

Name: Igor Redko (Virtuozzo), Andrey Ryabinin (Virtuozzo)

Comment 2 Adam Mariš 2017-03-02 12:10 UTC
Created attachment 1259126 [details]
Proposed patch

Comment 4 Wade Mealing 2017-03-17 05:50:53 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5 as the code which can trigger the flaw is not present in the products listed.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6, 7 and MRG-2. Future Linux kernel updates for the respective releases might address this issue.

Comment 9 Ben Hutchings 2017-04-01 04:06:22 UTC
This seems to be the same issue as CVE-2017-6951. Is there really any difference between the two?

Comment 11 Adam Mariš 2017-04-03 13:59:24 UTC
(In reply to Ben Hutchings from comment #9)
> This seems to be the same issue as CVE-2017-6951. Is there really any
> difference between the two?

We haven't fully analyzed CVE-2017-6951 yet. We'll do so soon.

Comment 19 Wade Mealing 2017-04-23 07:12:09 UTC
Re:  Ben Hutchings

They do appear to be the same flaw, this issue in Red Hat Enterprise Linux 7 seem to have a greater impact (RIP modification).  EL6 doesn't has the same privesc capability with the reproducer that I have, it doesn't mean it can't be tricked into privesc.

It looks as though the fix for EL6 fixes both CVE's.  I'm going to mark both as fixed in the same errata.  I will continue my investigation on Wednesday to confirm this.

At this time Red Hat is not interested in correcting the double allocation.  The end user shouldn't be affected.

Comment 20 Wade Mealing 2017-07-03 02:38:11 UTC
Well, after investigating both.  I'm going to call it a different flaw.

The fix propsed by David does solve both issues.

Comment 22 errata-xmlrpc 2017-08-01 19:13:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2077 https://access.redhat.com/errata/RHSA-2017:2077

Comment 23 errata-xmlrpc 2017-08-02 07:53:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1842 https://access.redhat.com/errata/RHSA-2017:1842

Comment 24 errata-xmlrpc 2017-08-08 16:20:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.3 Extended Update Support

Via RHSA-2017:2437 https://access.redhat.com/errata/RHSA-2017:2437

Comment 25 errata-xmlrpc 2017-08-08 18:57:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise MRG 2

Via RHSA-2017:2444 https://access.redhat.com/errata/RHSA-2017:2444


Note You need to log in before you can comment on or make changes to this bug.